<template>
  <div id="app">
    <div :class="device">
      <router-view />
    </div>
  </div>
</template>

<script>
/* 公用方法 */
import { noBack, px_to_rem_scale } from '@/assets/js/utils/windowFn.js'// window对象-操作
export default {
  name: 'App',
  data() {
    return {
      device: '' // 终端型号（app 移动端 web 客户端 tool 工具端）
    }
  },
  created() {
    this.init()
  },
  methods: {
    // 初始化
    init() {
      noBack()// 防止页面后退
      this.$store.dispatch('initPlatformConfig')// 网页配置初始化
      this.$store.dispatch('setContextPath')// 配置环境路径
      // 判断终端型号
      this.$store.dispatch('setDevice').then((device) => {
        this.device = this.$store.getters.device
      })
      this.$store.dispatch('setIsIOS')// 判断是否为IOS
      px_to_rem_scale(this.device)// px to rem 比例计算
    }
  }
}
</script>
<style lang="less">
  html, body, #app,#app>div {
    height: 100%;
    overflow-x: hidden;
    overflow-y: hidden;
  }
</style>
